git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [validator] moving to jdk 8 / git?


On Fri, 28 Sep 2018 at 03:38, sebb <sebbaz@xxxxxxxxx> wrote:
> Please contact Infra (users@xxxxxxxxx) with details of the problem.
> I know they are dealing with another mail delivery issue at present.

Will do.

> > In terms of moving to JDK 8, it seems like it it'd warrant more of a
> > discussion first. Other Commons projects wanted to a do a "final
> > release" for the previous JDK version.  I'm not sure if I could help
> > shepherd that or not.
>
> What is it about JDK 8 that warrants updating the minimum version for
> this particular component?

A mixture of reasons:
- I'd like to use modern syntax. While I wouldn't mass change anything
(see other thread) there are many cases in the current code base that
could be clearer or have reduced code.
- the other commons modules have moved and there is value to consistency



-- 
Eitan Adler

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@xxxxxxxxxxxxxxxxxx
For additional commands, e-mail: dev-help@xxxxxxxxxxxxxxxxxx